IPC avec Ruby 1.8.5 - ruby, ipc, sketchup

Je dois faire IPC avec Ruby 1.8.5. Le hic, c'est que c'est le Ruby fourni avec Google SketchUp et qui n'est qu'un sous-ensemble de l'API Ruby complète, par exemple, il n'y a pas de classe Socket et pas de DRb.

Quelles sont les autres façons de faire de l'IPC avec Ruby?Tout ce qui utilise la classe File, comme les fichiers mappés en mémoire, ou quelque chose comme ça? Je suis complètement nouveau à IPC, donc je m'excuse si j'ai manqué quelque chose d'évident.

Réponses:

0 pour la réponse № 1

La dernière version de SketchUp est livrée avec Ruby 1.8.6. Vous pouvez télécharger (si vous n'avez pas déjà) l'API principale de Ruby, et juste require quels que soient les fichiers dont vous avez besoin, pour implémenter votre script.

Le test de code non-SketchUp Ruby, est beaucoup plus facile en dehors de SketchUp, avec la ligne de commande, ou un éditeur comme SciTE. Vous pouvez ensuite ajouter votre code SketchUp pour les tests dans l'application.

Ruby Télécharger

SciTE Télécharger


Menu